org.tukaani.xz

## Class XZIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.tukaani.xz.XZIOException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CorruptedInputException, MemoryLimitException, UnsupportedOptionsException, XZFormatException

    public class XZIOException
    extends IOException

Generic `IOException` specific to this package. The other IOExceptions in this package extend from `XZIOException`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XZIOException()`
`XZIOException(String s)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XZIOException

    public XZIOException()

#### XZIOException

    public XZIOException(String s)